#include "pitches.h"
#include <TimerFreeTone.h>

// notes in the melody:
int melody[] = {
  NOTE_C4, NOTE_G3, NOTE_G3, NOTE_A3, NOTE_G3, 0, NOTE_B3, NOTE_C4
};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurations[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

int melody2[] = { 262, 196, 196, 220, 196, 0, 247, 262 };
int duration2[] = { 250, 125, 125, 250, 250, 250, 250, 250 };

int melody3[] = { 262, 196};
int duration3[] = { 250, 125};

const bool useTimerFreeTone =true;

#define TONE_PIN 8



void playTone(){
  if(useTimerFreeTone){
    
    for (int thisNote = 0; thisNote < 8; thisNote++) { // Loop through the notes in the array.
      TimerFreeTone(TONE_PIN, melody2[thisNote], duration2[thisNote]); // Play thisNote for duration.
      delay(50); // Short delay between notes.
    }
    return;
  }

  // // iterate over the notes of the melody:
  // for (int thisNote = 0; thisNote < 8; thisNote++) {

  //   // to calculate the note duration, take one second divided by the note type.
  //   //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
  //   int noteDuration = 1000 / noteDurations[thisNote];
  //   tone(TONE_PIN, melody[thisNote], noteDuration);

  //   // to distinguish the notes, set a minimum time between them.
  //   // the note's duration + 30% seems to work well:
  //   int pauseBetweenNotes = noteDuration * 1.30;
  //   delay(pauseBetweenNotes);
  //   // stop the tone playing:
  //   noTone(TONE_PIN);
  // }

  
}